%define module	pypoppler

Summary:	Python bindings for the Poppler PDF rendering library
Name:		python-%{module}
Version:	0.12.1
Release:	%mkrel 14
Source0:	http://launchpad.net/poppler-python/trunk/development/+download/%{module}-%{version}.tar.gz
Patch0:		pypoppler-0.12.1-poppler-0.16.0.patch
Patch1:		pypoppler-0.12.1-link.patch
Patch2:		pypoppler-0.12.1-poppler-0.18.0.patch
Patch3:		python-poppler-0.12.1-poppler-0.39.0-changes.patch
License:	GPLv2+
Group:		Development/Python
Url:		https://launchpad.net/poppler-python
Provides:	%{module} = %{version}
BuildRequires:	python-devel 
BuildRequires:	pygtk2.0-devel
BuildRequires:	atk-devel
BuildRequires:	pkgconfig(poppler)
BuildRequires:	python-cairo-devel
BuildRequires:	cairo-devel
BuildRequires:	pkgconfig(poppler-glib) >= 0.10.5

%description
Python bindings for the Poppler PDF rendering library. It is needed to
run programs written in Python and using Poppler set.


%prep
%setup -q -n %{module}-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p0

%build
%configure2_5x
%make

%install
%makeinstall_std
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%doc AUTHORS ChangeLog COPYING NEWS
%{py_platsitedir}/poppler.so


%changelog
* Mon Nov 28 2016 luigiwalser <luigiwalser> 0.12.1-14.mga6
+ Revision: 1070641
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 0.12.1-13.mga6
+ Revision: 1046197
- test rebuild for poppler

* Tue Mar 08 2016 blino <blino> 0.12.1-12.mga6
+ Revision: 987262
- add patch from Gentoo to fix build with poppler >= 0.39 (gentoo#568948)

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.12.1-11.mga5
+ Revision: 744189
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.12.1-10.mga5
+ Revision: 729515
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.12.1-9.mga5
+ Revision: 688271
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.12.1-8.mga4
+ Revision: 517789
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.12.1-7.mga3
+ Revision: 379400
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 15 2012 pterjan <pterjan> 0.12.1-6.mga2
+ Revision: 230915
- Add opensuse patch for poppler 0.18

* Tue Sep 27 2011 ovitters <ovitters> 0.12.1-5.mga2
+ Revision: 149411
- rebuild for new poppler; remove .la files

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Sun Mar 20 2011 lmenut <lmenut> 0.12.1-4.mga1
+ Revision: 74951
- add cairo-devel in BR
- Clean spec file
  - remove buildroot
- imported package python-pypoppler

